<?php
//dezend by http://www.yunlu99.com/
class discount_center_license_3483PDOWrapper
{
	static private $pdoConnection;

	static private function getDbConnection()
	{
		if (class_exists('Illuminate\\Database\\Capsule\\Manager')) {
			return \Illuminate\Database\Capsule\Manager::connection()->getPdo();
		}

		if (self::$pdoConnection === NULL) {
			self::$pdoConnection = self::setNewConnection();
		}

		return self::$pdoConnection;
	}

	static private function setNewConnection()
	{
		try {
			$includePath = ROOTDIR . DIRECTORY_SEPARATOR . 'configuration.php';

			if (file_exists($includePath)) {
				require $includePath;
			}
			else {
				throw new Exception('No configuration file found');
			}

			$connection = new PDO(sprintf('mysql:host=%s;dbname=%s;port=%s;charset=utf8', $db_host, $db_name, $db_port ? $db_port : 3360), $db_username, $db_password);
			$connection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			return $connection;
		}
		catch (PDOException $exc) {
		}
	}

	static public function query($query, $params = array())
	{
		$statement = self::getDbConnection()->prepare($query);
		$statement->execute($params);
		return $statement;
	}

	static public function real_escape_string($string)
	{
		return substr(self::getDbConnection()->quote($string), 1, -1);
	}

	static public function fetch_assoc($query)
	{
		return $query->fetch(PDO::FETCH_ASSOC);
	}

	static public function fetch_array($query)
	{
		return $query->fetch(PDO::FETCH_BOTH);
	}

	static public function fetch_object($query)
	{
		return $query->fetch(PDO::FETCH_OBJ);
	}

	static public function num_rows($query)
	{
		$query->fetch(PDO::FETCH_BOTH);
		return $query->rowCount();
	}

	static public function insert_id()
	{
		return self::getDbConnection()->lastInsertId();
	}

	static public function errorInfo()
	{
		$tmpErr = self::getDbConnection()->errorInfo();
		if ($tmpErr[0] && $tmpErr[0] !== '00000') {
			return $tmpErr;
		}

		return false;
	}

	static public function mysql_get_array($query, $params = array())
	{
		$qRes = self::query($query, $params);
		$arr = array();

		while ($row = self::fetch_assoc($qRes)) {
			$arr[] = $row;
		}

		return $arr;
	}

	static public function mysql_get_row($query, $params = array())
	{
		$qRes = self::query($query, $params);
		return self::fetch_assoc($qRes);
	}
}

function discount_center_license_3483()
{

		return array('status' => 'Active', 'description' => 'Your module license is active.');
	 
}

function DiscountCenter_config()
{
	require_once 'Loader.php';
	$loader = new \MGModule\DiscountCenter\Loader();
	return \MGModule\DiscountCenter\Addon::config();
}

function DiscountCenter_activate()
{
	require_once 'Loader.php';
	$loader = new \MGModule\DiscountCenter\Loader();
	return \MGModule\DiscountCenter\Addon::activate();
}

function DiscountCenter_deactivate()
{
	require_once 'Loader.php';
	$loader = new \MGModule\DiscountCenter\Loader();
	return \MGModule\DiscountCenter\Addon::deactivate();
}

function DiscountCenter_upgrade($vars)
{
	require_once 'Loader.php';
	$loader = new \MGModule\DiscountCenter\Loader();
	return \MGModule\DiscountCenter\Addon::upgrade($vars);
}

function DiscountCenter_output($params)
{
	require_once 'Loader.php';
	$loader = new \MGModule\DiscountCenter\Loader();
	$license_check = discount_center_license_3483();

	if ($license_check['status'] != 'Active') {
		$error_message = isset($license_custom_error_message) ? $license_custom_error_message : 'License ' . $license_check['status'] . ($license_check['description'] ? ': ' . $license_check['description'] : '');
		echo '<strong>License Error: ' . $error_message . '</strong>';
		return $error_message;
	}

	\MGModule\DiscountCenter\Addon::I(false, $params);

	if (!empty($_REQUEST['json'])) {
		ob_clean();
		header('Content-Type: text/plain');
		echo \MGModule\DiscountCenter\Addon::getJSONAdminPage($_REQUEST);
		exit();
	}
	else if (!empty($_REQUEST['customPage'])) {
		ob_clean();
		echo \MGModule\DiscountCenter\Addon::getHTMLAdminCustomPage($_REQUEST);
		exit();
	}
	else {
		echo \MGModule\DiscountCenter\Addon::getHTMLAdminPage($_REQUEST);
	}
}

function DiscountCenter_clientarea()
{
	require_once 'Loader.php';
	$loader = new \MGModule\DiscountCenter\Loader();

	if (!empty($_REQUEST['json'])) {
		ob_clean();
		echo \MGModule\DiscountCenter\Addon::getJSONClientAreaPage($_REQUEST);
		exit();
	}
	else {
		return \MGModule\DiscountCenter\Addon::getHTMLClientAreaPage($_REQUEST);
	}
}

if (!defined('DS')) {
	define('DS', DIRECTORY_SEPARATOR);
}

?>
